# We use the HelmChart resource to deploy the GitLab Runner. This
# file will automatically be deployed by k3s upon startup since it will
# be put in a magic directory by the Ignition config

# We have to manually create the namespace as the proper flag is not passed
# to Helm by the helm controller
# See https://github.com/k3s-io/helm-controller/issues/43
apiVersion: v1
kind: Namespace
metadata:
  name: gitlab-runner
  labels:
    name: gitlab-runner

---

apiVersion: helm.cattle.io/v1
kind: HelmChart
metadata:
  name: gitlab-runner
  namespace: kube-system

spec:
  repo: https://charts.gitlab.io
  chart: gitlab-runner
  version: ${version}

  targetNamespace: gitlab-runner
  valuesContent: |-
    gitlabUrl: ${url}
    runnerRegistrationToken: ${token}
    rbac:
      create: true
    runners:
      tags: linux, kubernetes, docker, private
      runUntagged: false
